std::random_device(3cxx)

NAME
std::random_device

SYNOPSIS

#include <random.h>

  Public Types

typedef unsigned int result_type

  Public Member Functions

random_device (const random_device &)=delete
random_device (const std::string &__token)
double entropy () const noexcept
result_type operator() ()
void operator= (const random_device &)=delete

  Static Public Member Functions

static constexpr result_type max ()
static constexpr result_type min ()

Detailed Description

A standard interface to a platform-specific non-deterministic random number generator (if any are available).

Member Typedef Documentation

  typedef unsigned int std::random_device::result_type
The type of the generated random value.

Author

Generated automatically by Doxygen for libstdc++ from the source code.